# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: LevelServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='LevelServicer.proto',
  package='sila2.org.silastandard.examples.levelservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x13LevelServicer.proto\x12\x30sila2.org.silastandard.examples.levelservicer.v1\x1a\x13SiLAFramework.proto\"C\n\x10GetPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"B\n\x0fGetPV_Responses\x12/\n\tCurrentPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x12GetType_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetType_Responses\x12\x33\n\x0b\x43urrentType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x17GetAvailable_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x16GetAvailable_Responses\x12\x39\n\x10\x43urrentAvailable\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetName_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetName_Responses\x12\x33\n\x0b\x43urrentName\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"H\n\x15GetVersion_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"N\n\x14GetVersion_Responses\x12\x36\n\x0e\x43urrentVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"L\n\x19GetSensorPVRaw_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"T\n\x18GetSensorPVRaw_Responses\x12\x38\n\x12\x43urrentSensorPVRaw\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x7f\n\x19SetSensorSlope_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x31\n\x0bSensorSlope\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x18SetSensorSlope_Responses\x12\x34\n\x0eSensorSlopeSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"L\n\x19GetSensorSlope_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"T\n\x18GetSensorSlope_Responses\x12\x38\n\x12\x43urrentSensorSlope\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x84\x01\n\x1aSetAlarmEnabled_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x35\n\x0c\x41larmEnabled\x18\x02 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"U\n\x19SetAlarmEnabled_Responses\x12\x38\n\x0f\x41larmEnabledSet\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"M\n\x1aGetAlarmEnabled_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"Y\n\x19GetAlarmEnabled_Responses\x12<\n\x13\x43urrentAlarmEnabled\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x85\x01\n\x1cSetAlarmAlarmHigh_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x34\n\x0e\x41larmAlarmHigh\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"V\n\x1bSetAlarmAlarmHigh_Responses\x12\x37\n\x11\x41larmAlarmHighSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"O\n\x1cGetAlarmAlarmHigh_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"Z\n\x1bGetAlarmAlarmHigh_Responses\x12;\n\x15\x43urrentAlarmAlarmHigh\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x83\x01\n\x1bSetAlarmAlarmLow_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x33\n\rAlarmAlarmLow\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"T\n\x1aSetAlarmAlarmLow_Responses\x12\x36\n\x10\x41larmAlarmLowSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x1bGetAlarmAlarmLow_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"X\n\x1aGetAlarmAlarmLow_Responses\x12:\n\x14\x43urrentAlarmAlarmLow\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"~\n\x17SetAlarmMode_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\tAlarmMode\x18\x02 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"O\n\x16SetAlarmMode_Responses\x12\x35\n\x0c\x41larmModeSet\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"J\n\x17GetAlarmMode_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x16GetAlarmMode_Responses\x12\x39\n\x10\x43urrentAlarmMode\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"K\n\x18GetAlarmState_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"U\n\x17GetAlarmState_Responses\x12:\n\x11\x43urrentAlarmState\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"}\n\x18SetAlarmDelay_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x30\n\nAlarmDelay\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x17SetAlarmDelay_Responses\x12\x33\n\rAlarmDelaySet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"K\n\x18GetAlarmDelay_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"R\n\x17GetAlarmDelay_Responses\x12\x37\n\x11\x43urrentAlarmDelay\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x83\x01\n\x1bSetAlarmWarnHigh_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x33\n\rAlarmWarnHigh\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"T\n\x1aSetAlarmWarnHigh_Responses\x12\x36\n\x10\x41larmWarnHighSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x1bGetAlarmWarnHigh_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"X\n\x1aGetAlarmWarnHigh_Responses\x12:\n\x14\x43urrentAlarmWarnHigh\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x81\x01\n\x1aSetAlarmWarnLow_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\x0c\x41larmWarnLow\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"R\n\x19SetAlarmWarnLow_Responses\x12\x35\n\x0f\x41larmWarnLowSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x1aGetAlarmWarnLow_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"V\n\x19GetAlarmWarnLow_Responses\x12\x39\n\x13\x43urrentAlarmWarnLow\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real2\xfb\x1e\n\rLevelServicer\x12\x90\x01\n\x05GetPV\x12\x42.sila2.org.silastandard.examples.levelservicer.v1.GetPV_Parameters\x1a\x41.sila2.org.silastandard.examples.levelservicer.v1.GetPV_Responses\"\x00\x12\x96\x01\n\x07GetType\x12\x44.sila2.org.silastandard.examples.levelservicer.v1.GetType_Parameters\x1a\x43.sila2.org.silastandard.examples.levelservicer.v1.GetType_Responses\"\x00\x12\xa5\x01\n\x0cGetAvailable\x12I.sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Parameters\x1aH.sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Responses\"\x00\x12\x96\x01\n\x07GetName\x12\x44.sila2.org.silastandard.examples.levelservicer.v1.GetName_Parameters\x1a\x43.sila2.org.silastandard.examples.levelservicer.v1.GetName_Responses\"\x00\x12\x9f\x01\n\nGetVersion\x12G.sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Parameters\x1a\x46.sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Responses\"\x00\x12\xab\x01\n\x0eGetSensorPVRaw\x12K.sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Parameters\x1aJ.sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Responses\"\x00\x12\xab\x01\n\x0eSetSensorSlope\x12K.sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Parameters\x1aJ.sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Responses\"\x00\x12\xab\x01\n\x0eGetSensorSlope\x12K.sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Parameters\x1aJ.sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Responses\"\x00\x12\xae\x01\n\x0fSetAlarmEnabled\x12L.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Parameters\x1aK.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Responses\"\x00\x12\xae\x01\n\x0fGetAlarmEnabled\x12L.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Parameters\x1aK.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Responses\"\x00\x12\xb4\x01\n\x11SetAlarmAlarmHigh\x12N.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Parameters\x1aM.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Responses\"\x00\x12\xb4\x01\n\x11GetAlarmAlarmHigh\x12N.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Parameters\x1aM.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Responses\"\x00\x12\xb1\x01\n\x10SetAlarmAlarmLow\x12M.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Parameters\x1aL.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Responses\"\x00\x12\xb1\x01\n\x10GetAlarmAlarmLow\x12M.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Parameters\x1aL.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Responses\"\x00\x12\xa5\x01\n\x0cSetAlarmMode\x12I.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Parameters\x1aH.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Responses\"\x00\x12\xa5\x01\n\x0cGetAlarmMode\x12I.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Parameters\x1aH.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Responses\"\x00\x12\xa8\x01\n\rGetAlarmState\x12J.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Parameters\x1aI.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Responses\"\x00\x12\xa8\x01\n\rSetAlarmDelay\x12J.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Parameters\x1aI.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Responses\"\x00\x12\xa8\x01\n\rGetAlarmDelay\x12J.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Parameters\x1aI.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Responses\"\x00\x12\xb1\x01\n\x10SetAlarmWarnHigh\x12M.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Parameters\x1aL.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Responses\"\x00\x12\xb1\x01\n\x10GetAlarmWarnHigh\x12M.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Parameters\x1aL.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Responses\"\x00\x12\xae\x01\n\x0fSetAlarmWarnLow\x12L.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Parameters\x1aK.sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Responses\"\x00\x12\xae\x01\n\x0fGetAlarmWarnLow\x12L.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Parameters\x1aK.sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETPV_PARAMETERS = _descriptor.Descriptor(
  name='GetPV_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=94,
  serialized_end=161,
)


_GETPV_RESPONSES = _descriptor.Descriptor(
  name='GetPV_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPV', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetPV_Responses.CurrentPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=163,
  serialized_end=229,
)


_GETTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetType_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetType_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=231,
  serialized_end=300,
)


_GETTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetType_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentType', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetType_Responses.CurrentType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=302,
  serialized_end=374,
)


_GETAVAILABLE_PARAMETERS = _descriptor.Descriptor(
  name='GetAvailable_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=376,
  serialized_end=450,
)


_GETAVAILABLE_RESPONSES = _descriptor.Descriptor(
  name='GetAvailable_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAvailable', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Responses.CurrentAvailable', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=452,
  serialized_end=535,
)


_GETNAME_PARAMETERS = _descriptor.Descriptor(
  name='GetName_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetName_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetName_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=537,
  serialized_end=606,
)


_GETNAME_RESPONSES = _descriptor.Descriptor(
  name='GetName_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetName_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentName', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetName_Responses.CurrentName', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=608,
  serialized_end=680,
)


_GETVERSION_PARAMETERS = _descriptor.Descriptor(
  name='GetVersion_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=682,
  serialized_end=754,
)


_GETVERSION_RESPONSES = _descriptor.Descriptor(
  name='GetVersion_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVersion', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Responses.CurrentVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=756,
  serialized_end=834,
)


_GETSENSORPVRAW_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorPVRaw_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=836,
  serialized_end=912,
)


_GETSENSORPVRAW_RESPONSES = _descriptor.Descriptor(
  name='GetSensorPVRaw_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorPVRaw', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Responses.CurrentSensorPVRaw', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=914,
  serialized_end=998,
)


_SETSENSORSLOPE_PARAMETERS = _descriptor.Descriptor(
  name='SetSensorSlope_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='SensorSlope', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Parameters.SensorSlope', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1000,
  serialized_end=1127,
)


_SETSENSORSLOPE_RESPONSES = _descriptor.Descriptor(
  name='SetSensorSlope_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SensorSlopeSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Responses.SensorSlopeSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1129,
  serialized_end=1209,
)


_GETSENSORSLOPE_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorSlope_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1211,
  serialized_end=1287,
)


_GETSENSORSLOPE_RESPONSES = _descriptor.Descriptor(
  name='GetSensorSlope_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorSlope', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Responses.CurrentSensorSlope', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1289,
  serialized_end=1373,
)


_SETALARMENABLED_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmEnabled_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmEnabled', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Parameters.AlarmEnabled', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1376,
  serialized_end=1508,
)


_SETALARMENABLED_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmEnabled_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmEnabledSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Responses.AlarmEnabledSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1510,
  serialized_end=1595,
)


_GETALARMENABLED_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmEnabled_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1597,
  serialized_end=1674,
)


_GETALARMENABLED_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmEnabled_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmEnabled', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Responses.CurrentAlarmEnabled', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1676,
  serialized_end=1765,
)


_SETALARMALARMHIGH_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmAlarmHigh_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmAlarmHigh', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Parameters.AlarmAlarmHigh', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1768,
  serialized_end=1901,
)


_SETALARMALARMHIGH_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmAlarmHigh_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmAlarmHighSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Responses.AlarmAlarmHighSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1903,
  serialized_end=1989,
)


_GETALARMALARMHIGH_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmAlarmHigh_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1991,
  serialized_end=2070,
)


_GETALARMALARMHIGH_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmAlarmHigh_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmAlarmHigh', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Responses.CurrentAlarmAlarmHigh', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2072,
  serialized_end=2162,
)


_SETALARMALARMLOW_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmAlarmLow_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmAlarmLow', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Parameters.AlarmAlarmLow', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2165,
  serialized_end=2296,
)


_SETALARMALARMLOW_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmAlarmLow_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmAlarmLowSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Responses.AlarmAlarmLowSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2298,
  serialized_end=2382,
)


_GETALARMALARMLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmAlarmLow_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2384,
  serialized_end=2462,
)


_GETALARMALARMLOW_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmAlarmLow_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmAlarmLow', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Responses.CurrentAlarmAlarmLow', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2464,
  serialized_end=2552,
)


_SETALARMMODE_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmMode_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmMode', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Parameters.AlarmMode', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2554,
  serialized_end=2680,
)


_SETALARMMODE_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmMode_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmModeSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Responses.AlarmModeSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2682,
  serialized_end=2761,
)


_GETALARMMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmMode_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2763,
  serialized_end=2837,
)


_GETALARMMODE_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmMode_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmMode', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Responses.CurrentAlarmMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2839,
  serialized_end=2922,
)


_GETALARMSTATE_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmState_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2924,
  serialized_end=2999,
)


_GETALARMSTATE_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmState_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmState', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Responses.CurrentAlarmState', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3001,
  serialized_end=3086,
)


_SETALARMDELAY_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmDelay_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmDelay', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Parameters.AlarmDelay', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3088,
  serialized_end=3213,
)


_SETALARMDELAY_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmDelay_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmDelaySet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Responses.AlarmDelaySet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3215,
  serialized_end=3293,
)


_GETALARMDELAY_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmDelay_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3295,
  serialized_end=3370,
)


_GETALARMDELAY_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmDelay_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmDelay', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Responses.CurrentAlarmDelay', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3372,
  serialized_end=3454,
)


_SETALARMWARNHIGH_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmWarnHigh_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmWarnHigh', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Parameters.AlarmWarnHigh', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3457,
  serialized_end=3588,
)


_SETALARMWARNHIGH_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmWarnHigh_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmWarnHighSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Responses.AlarmWarnHighSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3590,
  serialized_end=3674,
)


_GETALARMWARNHIGH_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmWarnHigh_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3676,
  serialized_end=3754,
)


_GETALARMWARNHIGH_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmWarnHigh_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmWarnHigh', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Responses.CurrentAlarmWarnHigh', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3756,
  serialized_end=3844,
)


_SETALARMWARNLOW_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmWarnLow_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AlarmWarnLow', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Parameters.AlarmWarnLow', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3847,
  serialized_end=3976,
)


_SETALARMWARNLOW_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmWarnLow_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='AlarmWarnLowSet', full_name='sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Responses.AlarmWarnLowSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3978,
  serialized_end=4060,
)


_GETALARMWARNLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmWarnLow_Parameters',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=4062,
  serialized_end=4139,
)


_GETALARMWARNLOW_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmWarnLow_Responses',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmWarnLow', full_name='sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Responses.CurrentAlarmWarnLow', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=4141,
  serialized_end=4227,
)

_GETPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETPV_RESPONSES.fields_by_name['CurrentPV'].message_type = SiLAFramework__pb2._REAL
_GETTYPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_RESPONSES.fields_by_name['CurrentType'].message_type = SiLAFramework__pb2._STRING
_GETAVAILABLE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETAVAILABLE_RESPONSES.fields_by_name['CurrentAvailable'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_RESPONSES.fields_by_name['CurrentName'].message_type = SiLAFramework__pb2._STRING
_GETVERSION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVERSION_RESPONSES.fields_by_name['CurrentVersion'].message_type = SiLAFramework__pb2._STRING
_GETSENSORPVRAW_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSENSORPVRAW_RESPONSES.fields_by_name['CurrentSensorPVRaw'].message_type = SiLAFramework__pb2._REAL
_SETSENSORSLOPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETSENSORSLOPE_PARAMETERS.fields_by_name['SensorSlope'].message_type = SiLAFramework__pb2._REAL
_SETSENSORSLOPE_RESPONSES.fields_by_name['SensorSlopeSet'].message_type = SiLAFramework__pb2._REAL
_GETSENSORSLOPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSENSORSLOPE_RESPONSES.fields_by_name['CurrentSensorSlope'].message_type = SiLAFramework__pb2._REAL
_SETALARMENABLED_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMENABLED_PARAMETERS.fields_by_name['AlarmEnabled'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMENABLED_RESPONSES.fields_by_name['AlarmEnabledSet'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMENABLED_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMENABLED_RESPONSES.fields_by_name['CurrentAlarmEnabled'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMALARMHIGH_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMALARMHIGH_PARAMETERS.fields_by_name['AlarmAlarmHigh'].message_type = SiLAFramework__pb2._REAL
_SETALARMALARMHIGH_RESPONSES.fields_by_name['AlarmAlarmHighSet'].message_type = SiLAFramework__pb2._REAL
_GETALARMALARMHIGH_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMALARMHIGH_RESPONSES.fields_by_name['CurrentAlarmAlarmHigh'].message_type = SiLAFramework__pb2._REAL
_SETALARMALARMLOW_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMALARMLOW_PARAMETERS.fields_by_name['AlarmAlarmLow'].message_type = SiLAFramework__pb2._REAL
_SETALARMALARMLOW_RESPONSES.fields_by_name['AlarmAlarmLowSet'].message_type = SiLAFramework__pb2._REAL
_GETALARMALARMLOW_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMALARMLOW_RESPONSES.fields_by_name['CurrentAlarmAlarmLow'].message_type = SiLAFramework__pb2._REAL
_SETALARMMODE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMMODE_PARAMETERS.fields_by_name['AlarmMode'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMMODE_RESPONSES.fields_by_name['AlarmModeSet'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMMODE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMMODE_RESPONSES.fields_by_name['CurrentAlarmMode'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMSTATE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMSTATE_RESPONSES.fields_by_name['CurrentAlarmState'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMDELAY_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMDELAY_PARAMETERS.fields_by_name['AlarmDelay'].message_type = SiLAFramework__pb2._REAL
_SETALARMDELAY_RESPONSES.fields_by_name['AlarmDelaySet'].message_type = SiLAFramework__pb2._REAL
_GETALARMDELAY_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMDELAY_RESPONSES.fields_by_name['CurrentAlarmDelay'].message_type = SiLAFramework__pb2._REAL
_SETALARMWARNHIGH_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMWARNHIGH_PARAMETERS.fields_by_name['AlarmWarnHigh'].message_type = SiLAFramework__pb2._REAL
_SETALARMWARNHIGH_RESPONSES.fields_by_name['AlarmWarnHighSet'].message_type = SiLAFramework__pb2._REAL
_GETALARMWARNHIGH_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMWARNHIGH_RESPONSES.fields_by_name['CurrentAlarmWarnHigh'].message_type = SiLAFramework__pb2._REAL
_SETALARMWARNLOW_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMWARNLOW_PARAMETERS.fields_by_name['AlarmWarnLow'].message_type = SiLAFramework__pb2._REAL
_SETALARMWARNLOW_RESPONSES.fields_by_name['AlarmWarnLowSet'].message_type = SiLAFramework__pb2._REAL
_GETALARMWARNLOW_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETALARMWARNLOW_RESPONSES.fields_by_name['CurrentAlarmWarnLow'].message_type = SiLAFramework__pb2._REAL
DESCRIPTOR.message_types_by_name['GetPV_Parameters'] = _GETPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPV_Responses'] = _GETPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetType_Parameters'] = _GETTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetType_Responses'] = _GETTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAvailable_Parameters'] = _GETAVAILABLE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAvailable_Responses'] = _GETAVAILABLE_RESPONSES
DESCRIPTOR.message_types_by_name['GetName_Parameters'] = _GETNAME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetName_Responses'] = _GETNAME_RESPONSES
DESCRIPTOR.message_types_by_name['GetVersion_Parameters'] = _GETVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVersion_Responses'] = _GETVERSION_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorPVRaw_Parameters'] = _GETSENSORPVRAW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorPVRaw_Responses'] = _GETSENSORPVRAW_RESPONSES
DESCRIPTOR.message_types_by_name['SetSensorSlope_Parameters'] = _SETSENSORSLOPE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSensorSlope_Responses'] = _SETSENSORSLOPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorSlope_Parameters'] = _GETSENSORSLOPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorSlope_Responses'] = _GETSENSORSLOPE_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmEnabled_Parameters'] = _SETALARMENABLED_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmEnabled_Responses'] = _SETALARMENABLED_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmEnabled_Parameters'] = _GETALARMENABLED_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmEnabled_Responses'] = _GETALARMENABLED_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmAlarmHigh_Parameters'] = _SETALARMALARMHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmAlarmHigh_Responses'] = _SETALARMALARMHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmAlarmHigh_Parameters'] = _GETALARMALARMHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmAlarmHigh_Responses'] = _GETALARMALARMHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmAlarmLow_Parameters'] = _SETALARMALARMLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmAlarmLow_Responses'] = _SETALARMALARMLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmAlarmLow_Parameters'] = _GETALARMALARMLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmAlarmLow_Responses'] = _GETALARMALARMLOW_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmMode_Parameters'] = _SETALARMMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmMode_Responses'] = _SETALARMMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmMode_Parameters'] = _GETALARMMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmMode_Responses'] = _GETALARMMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmState_Parameters'] = _GETALARMSTATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmState_Responses'] = _GETALARMSTATE_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmDelay_Parameters'] = _SETALARMDELAY_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmDelay_Responses'] = _SETALARMDELAY_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmDelay_Parameters'] = _GETALARMDELAY_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmDelay_Responses'] = _GETALARMDELAY_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmWarnHigh_Parameters'] = _SETALARMWARNHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmWarnHigh_Responses'] = _SETALARMWARNHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmWarnHigh_Parameters'] = _GETALARMWARNHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmWarnHigh_Responses'] = _GETALARMWARNHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmWarnLow_Parameters'] = _SETALARMWARNLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmWarnLow_Responses'] = _SETALARMWARNLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmWarnLow_Parameters'] = _GETALARMWARNLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmWarnLow_Responses'] = _GETALARMWARNLOW_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetPV_Parameters = _reflection.GeneratedProtocolMessageType('GetPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPV_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetPV_Parameters)
  })
_sym_db.RegisterMessage(GetPV_Parameters)

GetPV_Responses = _reflection.GeneratedProtocolMessageType('GetPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPV_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetPV_Responses)
  })
_sym_db.RegisterMessage(GetPV_Responses)

GetType_Parameters = _reflection.GeneratedProtocolMessageType('GetType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetType_Parameters)
  })
_sym_db.RegisterMessage(GetType_Parameters)

GetType_Responses = _reflection.GeneratedProtocolMessageType('GetType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetType_Responses)
  })
_sym_db.RegisterMessage(GetType_Responses)

GetAvailable_Parameters = _reflection.GeneratedProtocolMessageType('GetAvailable_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Parameters)
  })
_sym_db.RegisterMessage(GetAvailable_Parameters)

GetAvailable_Responses = _reflection.GeneratedProtocolMessageType('GetAvailable_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAvailable_Responses)
  })
_sym_db.RegisterMessage(GetAvailable_Responses)

GetName_Parameters = _reflection.GeneratedProtocolMessageType('GetName_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetName_Parameters)
  })
_sym_db.RegisterMessage(GetName_Parameters)

GetName_Responses = _reflection.GeneratedProtocolMessageType('GetName_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetName_Responses)
  })
_sym_db.RegisterMessage(GetName_Responses)

GetVersion_Parameters = _reflection.GeneratedProtocolMessageType('GetVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Parameters)
  })
_sym_db.RegisterMessage(GetVersion_Parameters)

GetVersion_Responses = _reflection.GeneratedProtocolMessageType('GetVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetVersion_Responses)
  })
_sym_db.RegisterMessage(GetVersion_Responses)

GetSensorPVRaw_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorPVRaw_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORPVRAW_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Parameters)
  })
_sym_db.RegisterMessage(GetSensorPVRaw_Parameters)

GetSensorPVRaw_Responses = _reflection.GeneratedProtocolMessageType('GetSensorPVRaw_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORPVRAW_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetSensorPVRaw_Responses)
  })
_sym_db.RegisterMessage(GetSensorPVRaw_Responses)

SetSensorSlope_Parameters = _reflection.GeneratedProtocolMessageType('SetSensorSlope_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSENSORSLOPE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Parameters)
  })
_sym_db.RegisterMessage(SetSensorSlope_Parameters)

SetSensorSlope_Responses = _reflection.GeneratedProtocolMessageType('SetSensorSlope_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSENSORSLOPE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetSensorSlope_Responses)
  })
_sym_db.RegisterMessage(SetSensorSlope_Responses)

GetSensorSlope_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorSlope_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORSLOPE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Parameters)
  })
_sym_db.RegisterMessage(GetSensorSlope_Parameters)

GetSensorSlope_Responses = _reflection.GeneratedProtocolMessageType('GetSensorSlope_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORSLOPE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetSensorSlope_Responses)
  })
_sym_db.RegisterMessage(GetSensorSlope_Responses)

SetAlarmEnabled_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmEnabled_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMENABLED_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmEnabled_Parameters)

SetAlarmEnabled_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmEnabled_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMENABLED_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmEnabled_Responses)
  })
_sym_db.RegisterMessage(SetAlarmEnabled_Responses)

GetAlarmEnabled_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmEnabled_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMENABLED_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmEnabled_Parameters)

GetAlarmEnabled_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmEnabled_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMENABLED_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmEnabled_Responses)
  })
_sym_db.RegisterMessage(GetAlarmEnabled_Responses)

SetAlarmAlarmHigh_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmAlarmHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMALARMHIGH_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmAlarmHigh_Parameters)

SetAlarmAlarmHigh_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmAlarmHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMALARMHIGH_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmHigh_Responses)
  })
_sym_db.RegisterMessage(SetAlarmAlarmHigh_Responses)

GetAlarmAlarmHigh_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmAlarmHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMALARMHIGH_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmAlarmHigh_Parameters)

GetAlarmAlarmHigh_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmAlarmHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMALARMHIGH_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmHigh_Responses)
  })
_sym_db.RegisterMessage(GetAlarmAlarmHigh_Responses)

SetAlarmAlarmLow_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmAlarmLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMALARMLOW_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmAlarmLow_Parameters)

SetAlarmAlarmLow_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmAlarmLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMALARMLOW_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmAlarmLow_Responses)
  })
_sym_db.RegisterMessage(SetAlarmAlarmLow_Responses)

GetAlarmAlarmLow_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmAlarmLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMALARMLOW_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmAlarmLow_Parameters)

GetAlarmAlarmLow_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmAlarmLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMALARMLOW_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmAlarmLow_Responses)
  })
_sym_db.RegisterMessage(GetAlarmAlarmLow_Responses)

SetAlarmMode_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMMODE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmMode_Parameters)

SetAlarmMode_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMMODE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmMode_Responses)
  })
_sym_db.RegisterMessage(SetAlarmMode_Responses)

GetAlarmMode_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMMODE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmMode_Parameters)

GetAlarmMode_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMMODE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmMode_Responses)
  })
_sym_db.RegisterMessage(GetAlarmMode_Responses)

GetAlarmState_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmState_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMSTATE_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmState_Parameters)

GetAlarmState_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmState_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMSTATE_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmState_Responses)
  })
_sym_db.RegisterMessage(GetAlarmState_Responses)

SetAlarmDelay_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmDelay_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMDELAY_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmDelay_Parameters)

SetAlarmDelay_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmDelay_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMDELAY_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmDelay_Responses)
  })
_sym_db.RegisterMessage(SetAlarmDelay_Responses)

GetAlarmDelay_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmDelay_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMDELAY_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmDelay_Parameters)

GetAlarmDelay_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmDelay_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMDELAY_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmDelay_Responses)
  })
_sym_db.RegisterMessage(GetAlarmDelay_Responses)

SetAlarmWarnHigh_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmWarnHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMWARNHIGH_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmWarnHigh_Parameters)

SetAlarmWarnHigh_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmWarnHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMWARNHIGH_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnHigh_Responses)
  })
_sym_db.RegisterMessage(SetAlarmWarnHigh_Responses)

GetAlarmWarnHigh_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmWarnHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMWARNHIGH_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmWarnHigh_Parameters)

GetAlarmWarnHigh_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmWarnHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMWARNHIGH_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnHigh_Responses)
  })
_sym_db.RegisterMessage(GetAlarmWarnHigh_Responses)

SetAlarmWarnLow_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmWarnLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMWARNLOW_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmWarnLow_Parameters)

SetAlarmWarnLow_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmWarnLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMWARNLOW_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.SetAlarmWarnLow_Responses)
  })
_sym_db.RegisterMessage(SetAlarmWarnLow_Responses)

GetAlarmWarnLow_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmWarnLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMWARNLOW_PARAMETERS,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmWarnLow_Parameters)

GetAlarmWarnLow_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmWarnLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMWARNLOW_RESPONSES,
  '__module__' : 'LevelServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.levelservicer.v1.GetAlarmWarnLow_Responses)
  })
_sym_db.RegisterMessage(GetAlarmWarnLow_Responses)



_LEVELSERVICER = _descriptor.ServiceDescriptor(
  name='LevelServicer',
  full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=4230,
  serialized_end=8193,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetPV',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetPV',
    index=0,
    containing_service=None,
    input_type=_GETPV_PARAMETERS,
    output_type=_GETPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetType',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetType',
    index=1,
    containing_service=None,
    input_type=_GETTYPE_PARAMETERS,
    output_type=_GETTYPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAvailable',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAvailable',
    index=2,
    containing_service=None,
    input_type=_GETAVAILABLE_PARAMETERS,
    output_type=_GETAVAILABLE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetName',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetName',
    index=3,
    containing_service=None,
    input_type=_GETNAME_PARAMETERS,
    output_type=_GETNAME_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVersion',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetVersion',
    index=4,
    containing_service=None,
    input_type=_GETVERSION_PARAMETERS,
    output_type=_GETVERSION_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorPVRaw',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetSensorPVRaw',
    index=5,
    containing_service=None,
    input_type=_GETSENSORPVRAW_PARAMETERS,
    output_type=_GETSENSORPVRAW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetSensorSlope',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetSensorSlope',
    index=6,
    containing_service=None,
    input_type=_SETSENSORSLOPE_PARAMETERS,
    output_type=_SETSENSORSLOPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorSlope',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetSensorSlope',
    index=7,
    containing_service=None,
    input_type=_GETSENSORSLOPE_PARAMETERS,
    output_type=_GETSENSORSLOPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmEnabled',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmEnabled',
    index=8,
    containing_service=None,
    input_type=_SETALARMENABLED_PARAMETERS,
    output_type=_SETALARMENABLED_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmEnabled',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmEnabled',
    index=9,
    containing_service=None,
    input_type=_GETALARMENABLED_PARAMETERS,
    output_type=_GETALARMENABLED_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmAlarmHigh',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmAlarmHigh',
    index=10,
    containing_service=None,
    input_type=_SETALARMALARMHIGH_PARAMETERS,
    output_type=_SETALARMALARMHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmAlarmHigh',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmAlarmHigh',
    index=11,
    containing_service=None,
    input_type=_GETALARMALARMHIGH_PARAMETERS,
    output_type=_GETALARMALARMHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmAlarmLow',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmAlarmLow',
    index=12,
    containing_service=None,
    input_type=_SETALARMALARMLOW_PARAMETERS,
    output_type=_SETALARMALARMLOW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmAlarmLow',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmAlarmLow',
    index=13,
    containing_service=None,
    input_type=_GETALARMALARMLOW_PARAMETERS,
    output_type=_GETALARMALARMLOW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmMode',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmMode',
    index=14,
    containing_service=None,
    input_type=_SETALARMMODE_PARAMETERS,
    output_type=_SETALARMMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmMode',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmMode',
    index=15,
    containing_service=None,
    input_type=_GETALARMMODE_PARAMETERS,
    output_type=_GETALARMMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmState',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmState',
    index=16,
    containing_service=None,
    input_type=_GETALARMSTATE_PARAMETERS,
    output_type=_GETALARMSTATE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmDelay',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmDelay',
    index=17,
    containing_service=None,
    input_type=_SETALARMDELAY_PARAMETERS,
    output_type=_SETALARMDELAY_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmDelay',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmDelay',
    index=18,
    containing_service=None,
    input_type=_GETALARMDELAY_PARAMETERS,
    output_type=_GETALARMDELAY_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmWarnHigh',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmWarnHigh',
    index=19,
    containing_service=None,
    input_type=_SETALARMWARNHIGH_PARAMETERS,
    output_type=_SETALARMWARNHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmWarnHigh',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmWarnHigh',
    index=20,
    containing_service=None,
    input_type=_GETALARMWARNHIGH_PARAMETERS,
    output_type=_GETALARMWARNHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmWarnLow',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.SetAlarmWarnLow',
    index=21,
    containing_service=None,
    input_type=_SETALARMWARNLOW_PARAMETERS,
    output_type=_SETALARMWARNLOW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmWarnLow',
    full_name='sila2.org.silastandard.examples.levelservicer.v1.LevelServicer.GetAlarmWarnLow',
    index=22,
    containing_service=None,
    input_type=_GETALARMWARNLOW_PARAMETERS,
    output_type=_GETALARMWARNLOW_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_LEVELSERVICER)

DESCRIPTOR.services_by_name['LevelServicer'] = _LEVELSERVICER

# @@protoc_insertion_point(module_scope)
